(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "underscore"], factory);
    }
})(function (require, exports) {
    "use strict";
    exports.__esModule = true;
    var _ = require("underscore");
    var fallback;
    (function (fallback) {
        /**
         * Not chainable; use standalone only.
         */
        function reverse(array) {
            var temp, length = array.length, front = 0, back = length - 1;
            while (front < back) {
                temp = array[front];
                array[front] = array[back];
                array[back] = temp;
                ++front, --back;
            }
            ;
            return array;
        }
        fallback.reverse = reverse;
        function eachRight(collection, iteratee) {
            function wrapper(accumulator, value, key, collection) {
                iteratee(value, key, collection);
                return accumulator;
            }
            _.reduceRight(collection, wrapper, {});
            return collection;
        }
        fallback.eachRight = eachRight;
    })(fallback || (fallback = {}));
    exports.reverse = _['reverse'] || fallback.reverse;
    exports.eachRight = _['eachRight'] || fallback.eachRight;
});

//# sourceMappingURL=underscore-compat.js.map
